//
// Povray test file to display a FracTree generated tree.
// Tree file to display : TreeDMF.Inc, the default, but with DMFWood4 texture
//                        for the branches and finish{Shiny} added to the
//                        leaf texture
// G.Bissell 1995
//


#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"


camera {
  location  <0, 2/2.5, -3/2.5>
  direction <0, 0, 1>
  up        <0, 1, 0>
  right     <4/3, 0, 0>
  look_at   <0, 0.5, 0>
}


light_source {<-4.0, 4.0, -4.0> color White }


// Include FracTree tree file
#include "treedmf.inc"

// Place tree in scene
object {Tree1}

// Add a checkered floor
plane {
  <0, 1, 0>, 0
  pigment {
    checker
      color White
      color SkyBlue
    scale 0.5
  }
}
